Subject: [bug#74736] [PATCH v2 0/1] Add Request-For-Comment process.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Jan 2025 22:16:50 +0100

Hello pukkamustard,

Thanks for insightful comments!

"pukkamustard" <[email-masked]> skribis:

> - I had to think if I am a _team member_ or not. The term is not defined in the
>   document. I think this is mostly due to there not being a RFC on teams (yet).
>   Still, to make the Process RFC understandable, I'd add a brief explanation of
>   what team members are (i.e. members in etc/teams.scm). 

A mistake of mine in v6; we should reintroduce a mention of
‘etc/teams.scm’ or a reference to the manual.

>   Likewise, I think the Process RFC would be simpler to understand if feedback
>   is required from a fixed number of team members instead of a percentage.

Wouldn’t a fixed number of people run the risk of letting a few people
move forward despite general apathy?  (Given that that fixed number
might represent 25% of team members today, and 5% a few years from now.)

> - The term "supporter" is used for two things where it's not clear if
>   it's the same:
>
>     1. People listed as supporters in the RFC metadata.
>     2. Team members that respond with "I support" during the Deliberation
>        Period.

Yeah, “sponsors” may work better for (1).

>   Furthermore, in the section "Submission Period" it says that authors
>   can look for supporters. But the wording in the "Deliberation Period"
>   suggests that the "I support" emails should only be sent in the
>   Deliberation Period when the final version is published.

We could state that anything that comes before or after the Deliberation
Period is ignored, to avoid the ambiguity.

>   I'd suggest renaming the RFC state "Final" to "Accepted".

Agreed (that was an omission).

> - In Section "Deliberation Period" the team member response is "I disapprove"
>   but in the next section the term "disagree" is used. I'd use the same term for
>   clarity.

Oops, agreed.

> - The "I disapprove" reply is only allowed if member actively proposed
>   alternative solutions during the "Discussion Period". I feel that might be a
>   bit of a strong requirement as that means you can not disapprove a RFC if you
>   only see it after the "Deliberation Period" has started. Maybe that's ok as
>   RFCs need to be announced to guix-devel. Still it might be a bit strong. Maybe
>   something along the lines: "A team member sending this reply must explain
>   their disapproval and should suggest constructive changes to the proposal that
>   would make it approvable."

Hmm yeah, I see what you mean; it shouldn’t be understood as “I
disapprove” is strictly forbidden for people who have not made
counter-proposals during the discussion.  Yet, I agree with Simon that
“I disapprove” should be discouraged in this case.  Probably we can fine
tune the words.

> - I think the name "Guix Consensus Documents (GCD)" would be slightly
>   funnier - a play on greatest common divisor (as mentioned by Simon).
>   But I think RFC is a term that is more widely understood and that's
>   fine.

Heheh.

I’m fine either way but I’m already getting used to “RFC”.  :-)

> I will be afk during the Deliberation Period (and not present in
> Brussels) but I think this is an important step for Guix and am fine
> with being added to the `supporters` field.

Thanks.  Too bad we won’t meet in Brussels though.

Ludo’.